aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorODR on core.mpb.li <odr@core.mpb.li>2014-08-24 10:52:06 +0200
committerODR on core.mpb.li <odr@core.mpb.li>2014-08-24 10:52:06 +0200
commit39acf5aa1f973ca120479c4830f52a38f8c908e8 (patch)
tree678ca02e71db029934184827bb1f660483149edc
parent5c788a71b5a426c93b305bc01183d65f49c64c43 (diff)
downloaddab-scripts-39acf5aa1f973ca120479c4830f52a38f8c908e8.tar.gz
dab-scripts-39acf5aa1f973ca120479c4830f52a38f8c908e8.tar.bz2
dab-scripts-39acf5aa1f973ca120479c4830f52a38f8c908e8.zip
Correct configuration handling
-rwxr-xr-xlaunch-all-encoders.sh5
-rwxr-xr-xradio.sh3
2 files changed, 5 insertions, 3 deletions
diff --git a/launch-all-encoders.sh b/launch-all-encoders.sh
index 1f7e56d..ec365cf 100755
--- a/launch-all-encoders.sh
+++ b/launch-all-encoders.sh
@@ -1,6 +1,8 @@
#!/bin/bash
# launch each encoder in its own screen window
+set -e
+
if [ -f site/configuration.sh ]
then
@@ -8,7 +10,8 @@ then
for radio in ${all_radios[*]}
do
- screen -t $radio ./radio $radio
+ echo "Launching $radio encoder"
+ screen -t $radio ./radio.sh $radio
sleep 0.4
done
diff --git a/radio.sh b/radio.sh
index d475ce4..b39eb39 100755
--- a/radio.sh
+++ b/radio.sh
@@ -2,8 +2,7 @@
#
# Start the encoder for the radio
-# Declare radios to be an associative array
-declare -A radios
+set -e
source site/configuration.sh